tigase.jaxmpp.core.client.xmpp.modules.filetransfer

## Class FileTransferModule.FileTransferRequestHandler.FileTransferRequestEvent

- java.lang.Object
- - tigase.jaxmpp.core.client.eventbus.Event<H>
  - - tigase.jaxmpp.core.client.eventbus.JaxmppEvent<FileTransferModule.FileTransferRequestHandler>
    - - tigase.jaxmpp.core.client.xmpp.modules.filetransfer.FileTransferModule.FileTransferRequestHandler.FileTransferRequestEvent

- Enclosing interface:
    FileTransferModule.FileTransferRequestHandler

      public static class FileTransferModule.FileTransferRequestHandler.FileTransferRequestEvent
      extends JaxmppEvent<FileTransferModule.FileTransferRequestHandler>

- - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `sessionObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileTransferRequestEvent(SessionObject sessionObject, FileTransfer ft, String id, List<String> streamMethods)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `dispatch(FileTransferModule.FileTransferRequestHandler handler)` Invokes handlers method.
    `FileTransfer` | `getFileTransfer()`
    `String` | `getId()`
    `List<String>` | `getStreamMethods()`
    `void` | `setFileTransfer(FileTransfer fileTransfer)`
    `void` | `setId(String id)`
    `void` | `setStreamMethods(List<String> streamMethods)`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `getSessionObject`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.Event

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileTransferRequestEvent

          public FileTransferRequestEvent(SessionObject sessionObject,
                                          FileTransfer ft,
                                          String id,
                                          List<String> streamMethods)

  - ### Method Detail

    - #### dispatch

          protected void dispatch(FileTransferModule.FileTransferRequestHandler handler)

      Description copied from class: `Event`
      Invokes handlers method.
      Specified by:
        `dispatch` in class `Event<FileTransferModule.FileTransferRequestHandler>`
      Parameters:
        `handler` - handler

    - #### getFileTransfer

          public FileTransfer getFileTransfer()

    - #### getId

          public String getId()

    - #### getStreamMethods

          public List<String> getStreamMethods()

    - #### setFileTransfer

          public void setFileTransfer(FileTransfer fileTransfer)

    - #### setId

          public void setId(String id)

    - #### setStreamMethods

          public void setStreamMethods(List<String> streamMethods)

Copyright © 2006–2016 Tigase. All rights reserved.